========
Sketcher
========

Sketcher commands are used to define the entities, such as the geometry, constraints, and dimensions, to create a sketch and to store the values and attributes associated with a particular sketch.


Create constrained sketches
---------------------------

.. autoclass:: abaqus.Sketcher.SketchModel.SketchModel
    :noindex:
    :members:

    .. autoclasstoc::


Object features
---------------

ConstrainedSketch
~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketch.ConstrainedSketch
    :members:
    :inherited-members:

    .. autoclasstoc::

ConstrainedSketchConstraintModel
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchConstraint.ConstrainedSketchConstraintModel.ConstrainedSketchConstraintModel
    :members:

    .. autoclasstoc::

ConstrainedSketchDimensionModel
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchDimension.ConstrainedSketchDimensionModel.ConstrainedSketchDimensionModel
    :members:

    .. autoclasstoc::

ConstrainedSketchGeometryModel
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchGeometry.ConstrainedSketchGeometryModel.ConstrainedSketchGeometryModel
    :members:

    .. autoclasstoc::

ConstrainedSketchParameterModel
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchParameter.ConstrainedSketchParameterModel.ConstrainedSketchParameterModel
    :members:

    .. autoclasstoc::

ConstrainedSketchVertexModel
~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchVertex.ConstrainedSketchVertexModel.ConstrainedSketchVertexModel
    :members:

    .. autoclasstoc::


CoincidentConstraint
~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchConstraint.CoincidentConstraint.CoincidentConstraint
    :members:

    .. autoclasstoc::

ConcentricConstraint
~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchConstraint.ConcentricConstraint.ConcentricConstraint
    :members:

    .. autoclasstoc::

ConstrainedSketchConstraint
~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchConstraint.ConstrainedSketchConstraint.ConstrainedSketchConstraint
    :members:

    .. autoclasstoc::

EqualDistanceConstraint
~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchConstraint.EqualDistanceConstraint.EqualDistanceConstraint
    :members:

    .. autoclasstoc::

EqualLengthConstraint
~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchConstraint.EqualLengthConstraint.EqualLengthConstraint
    :members:

    .. autoclasstoc::

EqualRadiusConstraint
~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchConstraint.EqualRadiusConstraint.EqualRadiusConstraint
    :members:

    .. autoclasstoc::

FixedConstraint
~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchConstraint.FixedConstraint.FixedConstraint
    :members:

    .. autoclasstoc::

HorizontalConstraint
~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchConstraint.HorizontalConstraint.HorizontalConstraint
    :members:

    .. autoclasstoc::

ParallelConstraint
~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchConstraint.ParallelConstraint.ParallelConstraint
    :members:

    .. autoclasstoc::

PerpendicularConstraint
~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchConstraint.PerpendicularConstraint.PerpendicularConstraint
    :members:

    .. autoclasstoc::

TangentConstraint
~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchConstraint.TangentConstraint.TangentConstraint
    :members:

    .. autoclasstoc::

VerticalConstraint
~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchConstraint.VerticalConstraint.VerticalConstraint
    :members:

    .. autoclasstoc::


AngularDimension
~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchDimension.AngularDimension.AngularDimension
    :members:

    .. autoclasstoc::

DistanceDimension
~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchDimension.DistanceDimension.DistanceDimension
    :members:

    .. autoclasstoc::

HorizontalDimension
~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchDimension.HorizontalDimension.HorizontalDimension
    :members:

    .. autoclasstoc::

ObliqueDimension
~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchDimension.ObliqueDimension.ObliqueDimension
    :members:

    .. autoclasstoc::

RadialDimension
~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchDimension.RadialDimension.RadialDimension
    :members:

    .. autoclasstoc::

VerticalDimension
~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchDimension.VerticalDimension.VerticalDimension
    :members:

    .. autoclasstoc::

ConstrainedSketchGeometry
~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchGeometry.ConstrainedSketchGeometry.ConstrainedSketchGeometry
    :members:

    .. autoclasstoc::

ConstrainedSketchGeometryArray
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchGeometry.ConstrainedSketchGeometryArray.ConstrainedSketchGeometryArray
    :members:

    .. autoclasstoc::

Arc3Points
~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchGeometry.Arc3Points.Arc3Points
    :members:

    .. autoclasstoc::

ArcByCenterEnds
~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchGeometry.ArcByCenterEnds.ArcByCenterEnds
    :members:

    .. autoclasstoc::

ArcByStartEndTangent
~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchGeometry.ArcByStartEndTangent.ArcByStartEndTangent
    :members:

    .. autoclasstoc::

CircleByCenterPerimeter
~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchGeometry.CircleByCenterPerimeter.CircleByCenterPerimeter
    :members:

    .. autoclasstoc::

ConstructionCircleByCenterPerimeter
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchGeometry.ConstructionCircleByCenterPerimeter.ConstructionCircleByCenterPerimeter
    :members:

    .. autoclasstoc::

ConstructionLine
~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchGeometry.ConstructionLine.ConstructionLine
    :members:

    .. autoclasstoc::

EllipseByCenterPerimeter
~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchGeometry.EllipseByCenterPerimeter.EllipseByCenterPerimeter
    :members:

    .. autoclasstoc::

FilletByRadius
~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchGeometry.FilletByRadius.FilletByRadius
    :members:

    .. autoclasstoc::

getPointAtDistance
~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchGeometry.getPointAtDistance.getPointAtDistance
    :members:

    .. autoclasstoc::

Line
~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchGeometry.Line.Line
    :members:

    .. autoclasstoc::

Spline
~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchGeometry.Spline.Spline
    :members:

    .. autoclasstoc::

Spot
~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchGeometry.Spot.Spot
    :members:

    .. autoclasstoc::


ConstrainedSketcherOptions
~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchOptions.ConstrainedSketcherOptions.ConstrainedSketcherOptions
    :members:

    .. autoclasstoc::

ConstrainedSketchImageOptions
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchOptions.ConstrainedSketchImageOptions.ConstrainedSketchImageOptions
    :members:

    .. autoclasstoc::

ConstrainedSketchOptions
~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchOptions.ConstrainedSketchOptions.ConstrainedSketchOptions
    :members:

    .. autoclasstoc::

Parameter
~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchParameter.Parameter.Parameter
    :members:

    .. autoclasstoc::


ConstrainedSketchVertex
~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchVertex.ConstrainedSketchVertex.ConstrainedSketchVertex
    :members:

    .. autoclasstoc::

ConstrainedSketchVertexArray
~~~~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchVertex.ConstrainedSketchVertexArray.ConstrainedSketchVertexArray
    :members:

    .. autoclasstoc::

Spot
~~~~

.. autoclass:: abaqus.Sketcher.ConstrainedSketchVertex.Spot.Spot
    :members:

    .. autoclasstoc::
